Package Details: libtermkey-bzr 0.18.r0-1

Git Clone URL: https://aur.archlinux.org/libtermkey-bzr.git (read-only)
Package Base: libtermkey-bzr
Description: Library for easy processing of keyboard entry from terminal-based programs.
Upstream URL: http://www.leonerd.org.uk/code/libtermkey
Licenses: MIT
Conflicts: libtermkey
Provides: libtermkey=0.18.r0
Submitter: fwalch
Maintainer: fwalch
Last Packager: fwalch
Votes: 39
Popularity: 0.000052
First Submitted: 2015-03-20 12:30
Last Updated: 2015-10-08 06:09

Dependencies (2)

Required by (8)

Sources (1)

Latest Comments

fwalch commented on 2015-04-13 17:26

@TheAtomicGoose: Has this been reported at clean-chroot-manager/pacaur? If there's an issue with the PKGBUILD, I'll gladly fix it.

TheAtomicGoose commented on 2015-04-13 02:04

Any update on this issue?

demizer commented on 2015-03-22 22:13

So, it's definitely not makepkg. I can build the package without clean-chroot-manager.

demizer commented on 2015-03-22 21:55

I, too, am getting missing bzr:

==> Making package: libtermkey-bzr 0.17.r12-2 (Sun Mar 22 14:50:07 PDT 2015)
==> Retrieving sources...
-> Branching http://bazaar.leonerd.org.uk/c/libtermkey/ ...
/usr/bin/makepkg: line 468: bzr: command not found
==> ERROR: Failure while branching http://bazaar.leonerd.org.uk/c/libtermkey/
Aborting...
==> ERROR: Could not download sources.

Never ran into this before. I am using clean-chroot-manager to build. Might be a problem with makepkg.

demizer commented on 2015-03-22 21:54

I, too, am getting missing bzr:

==> Making package: libtermkey-bzr 0.17.r12-2 (Sun Mar 22 14:50:07 PDT 2015)
==> Retrieving sources...
-> Branching http://bazaar.leonerd.org.uk/c/libtermkey/ ...
/usr/bin/makepkg: line 468: bzr: command not found
==> ERROR: Failure while branching http://bazaar.leonerd.org.uk/c/libtermkey/
Aborting...
==> ERROR: Could not download sources.


Never ran into this before. I am using clean-chroot-manager to build. Might be a problem with pacman.

justinnhli commented on 2015-03-20 16:22

@fwalch: Seems to be a problem with pacaur - it doesn't install bzr from makedepends, causing the checkout to fail.

Sorry about the erroneous report.

fwalch commented on 2015-03-20 16:11

@noonov: Strange, worked for me.. but your code looks definitely nicer, thanks!

noonov commented on 2015-03-20 16:06

pkgver() function generates wrong pkgver (0.15b.r42) when using makepkg.
Please use this in pkgver() instead.

bzr tags | sort -n -k3 | awk -v REV=$(bzr revno) 'END{ printf("%s.r%s\n",$2,REV-$3) }'

fwalch commented on 2015-03-20 15:18

Are you using a helper to install AUR packages? I just tried with "packer" and plain "makepkg", both worked fine.

justinnhli commented on 2015-03-20 15:11

I'm getting an error:

:: failed to verify libtermkey-bzr integrity